%global name_alternative TaskCoach
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           taskcoach
Version:        1.4.2
Release:        3%{?dist}
Summary:        Your friendly task manager
Summary(pl):    Twój przyjazny menadżer zadań
Group:          Applications/Productivity
License:        GPLv3+
URL:            http://www.taskcoach.org/

Source0:        http://downloads.sourceforge.net/%{name}/%{name_alternative}-%{version}.tar.gz
Source2:        %{name}.desktop
# https://sourceforge.net/p/taskcoach/bugs/1593/
Patch0:         taskcoach_gtk3_v3.patch

BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  python-devel
BuildRequires:  wxPython >= 2.8.9.1
Requires:       hicolor-icon-theme
Requires:       wxPython
Requires:       python-twisted-core
Requires:       libXScrnSaver

%description
Task Coach is a simple open source todo manager to
manage personal tasks and todo lists. It grew out of a
frustration that well-known task managers, such as those
provided with Outlook or Lotus Notes, do not provide
facilities for composite tasks. Often,
tasks and other things todo consist of several activities.
Task Coach is designed to deal with composite tasks.

%description -l pl
Program pozwala na bardzo precyzyjne zapisywanie zadań i
kontrolownie stanu ich wykonywania. Każde zadanie może mieć
w sobie dowolną ilość 'subzadań'. Jak w tradycyjnym 
oprogramowaniu typu PIM,nadaje się im kategorię, czas wykonania 
oraz przypomnienie.Do zadań można dołączać różnego 
rodzaju załączniki, przeciągając je przykładowo z wiadomości pocztowej. 
Task Coach kontroluje status wykonania każdego zadania i 'subzadania' 
oznaczając je stosownym kolorem w zestawieniu.

%prep
%setup -q -n %{name_alternative}-%{version}
%patch0 -p0
rm -rf taskcoachlib/bin.in/
chmod a-x README.txt LICENSE.txt

%build
%{__python} make.py build

%install
%{__python} make.py install -O1 --skip-build --root $RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%{_bindir}/%{name}.py $RPM_BUILD_ROOT%{_bindir}/%{name}
#chmod a+x $RPM_BUILD_ROOT%{python_sitelib}/%{name}lib/thirdparty/desktop.py
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -m 644 -p icons.in/%{name}.png  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png

desktop-file-install                \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications         \
  %{SOURCE2}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%doc README.txt LICENSE.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{python_sitelib}/%{name_alternative}-*.egg-info
%{python_sitelib}/%{name}lib/
%exclude %{python_sitelib}/buildlib/

%changelog
* Fri Nov 06 2015 Scott Talbert <swt@techie.net> - 1.4.2-3
- Include patch for fixing Taskcoach when pygtk2 is installed (#1187849)

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Feb 28 2015 Šimon Lukašík <slukasik@redhat.com> - 1.4.2-1
- Updated to the latest upstream version

* Sun Sep 14 2014 Šimon Lukašík <slukasik@redhat.com> - 1.4.1-1
- Updated to the latest upstream version

* Sun Sep 14 2014 Šimon Lukašík <slukasik@redhat.com> - 1.4.0-2
- New version requires libXScrnSaver (rhbz#1141376)

* Fri Sep 05 2014 Šimon Lukašík <slukasik@redhat.com> - 1.4.0-1
- Updated to the latest upstream version

* Sun Jun 22 2014 Šimon Lukašík <slukasik@redhat.com> - 1.3.41-1
- Updated to the latest upstream version

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.40-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 26 2014 Šimon Lukašík <slukasik@redhat.com> - 1.3.40-1
- Updated to the latest upstream version

* Thu May 22 2014 Šimon Lukašík <slukasik@redhat.com> - 1.3.39-1
- Updated to the latest upstream version

* Mon May 12 2014 Šimon Lukašík <slukasik@redhat.com> - 1.3.38-2
- remove duplicate sources

* Mon May 12 2014 Šimon Lukašík <slukasik@redhat.com> - 1.3.38-1
- Updated to the latest upstream version

* Wed Apr 16 2014 Šimon Lukašík <slukasik@redhat.com> - 1.3.37-2
- New version requires python-twisted-core (rhbz#1088136)

* Sat Apr 05 2014 Šimon Lukašík <slukasik@redhat.com> - 1.3.37-1
- Updated to the latest upstream version

* Sat Mar 01 2014 Šimon Lukašík <slukasik@redhat.com> - 1.3.36-1
- Updated to the latest upstream version

* Tue Dec 10 2013 Šimon Lukašík <slukasik@redhat.com> - 1.3.34-1
- Updated to latest upstream version

* Fri Aug 02 2013 Tomas Radej <tradej@redhat.com> - 1.3.30-1
- Updated to latest upstream version

* Thu Feb 14 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 1.3.23-2
- Remove vendor tag from desktop file

* Thu Feb 07 2013 Tomas Radej <tradej@redhat.com> - 1.3.23-1
- Changed license to GPLv3+
- Updated to latest upstream version
- Did a little clean up

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 28 2010 Rakesh Pandit <rpandit@redhat.com> - 1.2.6-1
- Update to 1.2.6

* Tue Nov 23 2010 Rakesh Pandit <rpandit@redhat.com> - 1.2.4-1
- Updated to 1.2.4
- For features and fixes which are in new release:
  http://taskcoach.org/all_changes.html

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon May 03 2010 Rakesh Pandit  <rakesh@fedoraproject.org> - 1.0.3-1
- Updated to 1.0.3

* Sat Jan 30 2010 Rakesh Pandit  <rakesh@fedoraproject.org> - 0.78.2-1
- Updated to 0.78.2

* Mon Jan 18 2010 Rakesh Pandit  <rakesh@fedoraproject.org> - 0.78.1-1
- Updated to 0.78.1

* Mon Nov 09 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 0.76.0-1
- Updated to 0.76.0

* Mon Sep 21 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 0.74.1-1
- Updated to 0.74.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.72.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 12 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 0.72.5-1
- Updated to 0.72.5

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 0.71.5-1
- Updated to 0.71.5

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.69.1-3
- Rebuild for Python 2.6

* Thu Mar 06 2008 Krzysztof Kurzawski <kurzawax at gmail.com> 0.69.1-2
- Increase release

* Thu Mar 06 2008 Krzysztof Kurzawski <kurzawax at gmail.com> 0.69.1-1
- Update to 0.69.1

* Thu Feb 21 2008 Krzysztof Kurzawski <kurzawax at gmail.com> 0.68.0-7
- Correct license

* Thu Feb 21 2008 Krzysztof Kurzawski <kurzawax at gmail.com> 0.68.0-6
- Correct license

* Thu Feb 07 2008 Krzysztof Kurzawski <kurzawax at gmail.com> 0.68.0-5
- Correct Rs

* Thu Feb 07 2008 José Matos <jamatos@fc.up.pt>  0.68.0-4
- Fix egg-info location
- Exclude buildlib from installed files

* Wed Feb 06 2008 Krzysztof Kurzawski <kurzawax at gmail.com> 0.68.0-3
- Correct files section

* Sat Feb 02 2008 Krzysztof Kurzawski <kurzawax at gmail.com> 0.68.0-2
- Fix BRs

* Mon Jan 28 2008 Krzysztof Kurzawski <kurzawax at gmail.com> 0.68.0-1
- First release
